#ifndef OCCTOPOSHAPETREEVIEWER_H
#define OCCTOPOSHAPETREEVIEWER_H


#include "AllHead.h"
class OCCTopoShapeTreeViewer : public QTreeWidget
{
    Q_OBJECT

public:
    OCCTopoShapeTreeViewer(QWidget* parent = nullptr);
    void setTopoShape(const TopoDS_Shape& shape);
    // 显示Topo_Shape的层次结构
    void displayTopoShape(const TopoDS_Shape& shape);

private:
    // 递归函数，用于在QTreeWidget中添加Topo_Shape的层次结构
    void addTopoShapeToTreeWidget(const TopoDS_Shape& shape, QTreeWidgetItem* parentItem);
};





#endif // OCCTOPOSHAPETREEVIEWER_H
